| dph-seq-0.4.0: Data structures for Nested Data-Parallel Haskell. | Contents | Index

Data.Array.Parallel.PArray

Synopsis

data PArray a
class Elt a
class Random a where

randoms :: RandomGen g => Int -> g -> PArray a
randomRs :: RandomGen g => Int -> (a, a) -> g -> PArray a

length :: Elt a => PArray a -> Int
empty :: Elt a => PArray a
replicate :: Elt a => Int -> a -> PArray a
singleton :: Elt a => a -> PArray a
(!:) :: Elt a => PArray a -> Int -> a
zip :: (Elt a, Elt b) => PArray a -> PArray b -> PArray (a, b)
unzip :: (Elt a, Elt b) => PArray (a, b) -> (PArray a, PArray b)
enumFromTo :: Int -> Int -> PArray Int
fromList :: Elt a => [a] -> PArray a
nf :: Elt a => PArray a -> ()
fromUArrPA' :: Scalar a => Array a -> PArray a

Documentation
data PArray a

Lifted parallel arrays
Instances

(Elt a, Show a) => Show (PArray a)

class Elt a

Instances

Elt Double
Elt Int
(Elt a, Elt b) => Elt (a, b)
(Elt a, Elt b, Elt c) => Elt (a, b, c)
(Elt a, Elt b, Elt c, Elt d) => Elt (a, b, c, d)
(Elt a, Elt b, Elt c, Elt d, Elt e) => Elt (a, b, c, d, e)

class Random a where

Methods

randoms :: RandomGen g => Int -> g -> PArray a
randomRs :: RandomGen g => Int -> (a, a) -> g -> PArray a

Instances

Random Double
Random Int

length :: Elt a => PArray a -> Int
empty :: Elt a => PArray a
replicate :: Elt a => Int -> a -> PArray a
singleton :: Elt a => a -> PArray a
(!:) :: Elt a => PArray a -> Int -> a
zip :: (Elt a, Elt b) => PArray a -> PArray b -> PArray (a, b)
unzip :: (Elt a, Elt b) => PArray (a, b) -> (PArray a, PArray b)
enumFromTo :: Int -> Int -> PArray Int
fromList :: Elt a => [a] -> PArray a
nf :: Elt a => PArray a -> ()
fromUArrPA' :: Scalar a => Array a -> PArray a
Produced by Haddock version 2.6.1